diff -urN punbb-1.3.2/include/parser.php punbb-1.3.3/include/parser.php
--- punbb-1.3.2/include/parser.php	2008-12-08 13:47:34.000000000 +0000
+++ punbb-1.3.3/include/parser.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * Loads various functions used to parse posts.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -766,6 +766,10 @@
 {
 	global $forum_config, $base_url, $smilies;
 
+	$return = ($hook = get_hook('ps_do_smilies_start')) ? eval($hook) : null;
+	if ($return != null)
+		return $return;
+
 	$text = ' '.$text.' ';
 
 	foreach ($smilies as $smiley_text => $smiley_img)
@@ -774,6 +778,8 @@
 			$text = preg_replace("#(?<=[>\s])".preg_quote($smiley_text, '#')."(?=\W)#m", '<img src="'.$base_url.'/img/smilies/'.$smiley_img.'" width="15" height="15" alt="'.substr($smiley_img, 0, strrpos($smiley_img, '.')).'" />', $text);
 	}
 
+	$return = ($hook = get_hook('ps_do_smilies_end')) ? eval($hook) : null;
+
 	return substr($text, 1, -1);
 }
 
diff -urN punbb-1.3.2/include/search_functions.php punbb-1.3.3/include/search_functions.php
--- punbb-1.3.2/include/search_functions.php	2008-10-30 13:04:00.000000000 +0000
+++ punbb-1.3.3/include/search_functions.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * Loads various functions that are used for searching the forum.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -788,14 +788,14 @@
 		case 'show_user_posts':
 			$forum_page['crumbs'][] = sprintf($lang_search['Posts by'], $search_set[0]['pposter'], ($forum_page['start_from'] + 1), $num_hits);
 			$forum_page['items_info'] = generate_items_info($lang_search['Posts found'], ($forum_page['start_from'] + 1), $num_hits);
-			$forum_page['main_head_options']['user_topics'] = '<span'.(empty($forum_page['main_head_options']) ? ' class="first-item"' : '').'><a href="'.forum_link($forum_url['search_user_topics'], $search_id).'">'.sprintf($lang_search['Topics by'], $search_set[0]['pposter']).'</a></span>';
+			$forum_page['main_head_options']['user_topics'] = '<span'.(empty($forum_page['main_head_options']) ? ' class="first-item"' : '').'><a href="'.forum_link($forum_url['search_user_topics'], $search_id).'">'.sprintf($lang_search['Topics by'], forum_htmlencode($search_set[0]['pposter'])).'</a></span>';
 			$forum_page['main_head_options']['defined_search'] = '<span'.(empty($forum_page['main_head_options']) ? ' class="first-item"' : '').'><a href="'.forum_link($forum_url['search']).'">'.$lang_search['User defined search'].'</a></span>';
 			break;
 
 		case 'show_user_topics':
 			$forum_page['crumbs'][] = sprintf($lang_search['Topics by'], $search_set[0]['poster']);
 			$forum_page['items_info'] = generate_items_info($lang_search['Topics found'], ($forum_page['start_from'] + 1), $num_hits);
-			$forum_page['main_head_options']['user_posts'] =  '<span'.(empty($forum_page['main_head_options']) ? ' class="first-item"' : '').'><a href="'.forum_link($forum_url['search_user_posts'], $search_id).'">'.sprintf($lang_search['Posts by'], $search_set[0]['poster']).'</a></span>';
+			$forum_page['main_head_options']['user_posts'] =  '<span'.(empty($forum_page['main_head_options']) ? ' class="first-item"' : '').'><a href="'.forum_link($forum_url['search_user_posts'], $search_id).'">'.sprintf($lang_search['Posts by'], forum_htmlencode($search_set[0]['poster'])).'</a></span>';
 			$forum_page['main_head_options']['defined_search'] = '<span'.(empty($forum_page['main_head_options']) ? ' class="first-item"' : '').'><a href="'.forum_link($forum_url['search']).'">'.$lang_search['User defined search'].'</a></span>';
 			break;
 
diff -urN punbb-1.3.2/include/search_idx.php punbb-1.3.3/include/search_idx.php
--- punbb-1.3.2/include/search_idx.php	2008-11-05 12:42:27.000000000 +0000
+++ punbb-1.3.3/include/search_idx.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * Load various functions used in indexing posts and topics for searching.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3.2/include/url/Default/forum_urls.php punbb-1.3.3/include/url/Default/forum_urls.php
--- punbb-1.3.2/include/url/Default/forum_urls.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.3/include/url/Default/forum_urls.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * Regular URL scheme.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3.2/include/url/Default/reserved_strings.php punbb-1.3.3/include/url/Default/reserved_strings.php
--- punbb-1.3.2/include/url/Default/reserved_strings.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.3/include/url/Default/reserved_strings.php	2009-04-17 12:51:23.000000000 +0000
@@ -3,22 +3,22 @@
  * Loads the reserved strings used to transform problematic strings in URLs.
  * These are matched against the whole string after all other transformations.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
 
 
 $forum_reserved_strings = array(
-	''		=>	'view',
+	''				=>	'view',
 
-	'newpost'	=>	'view',
-	'newposts'	=>	'view',
-	'new-post'	=>	'view',
-	'new-posts'	=>	'view',
+	'newpost'		=>	'view',
+	'newposts'		=>	'view',
+	'new-post'		=>	'view',
+	'new-posts'		=>	'view',
 
-	'lastpost'	=>	'view',
-	'lastposts'	=>	'view',
-	'last-post'	=>	'view',
+	'lastpost'		=>	'view',
+	'lastposts'		=>	'view',
+	'last-post'		=>	'view',
 	'last-posts'	=>	'view',
 );
diff -urN punbb-1.3.2/include/url/Default/rewrite_rules.php punbb-1.3.3/include/url/Default/rewrite_rules.php
--- punbb-1.3.2/include/url/Default/rewrite_rules.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.3/include/url/Default/rewrite_rules.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,17 +2,17 @@
 /**
  * Loads the regular expressions used to match SEF URL requests to their proper URLs.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
 
 
 $forum_rewrite_rules = array(
-	'/^topic[\/_-]?([0-9]+).*(new|last)[\/_-]?(posts?)(\.html?|\/)?$/i'													=>	'viewtopic.php?id=$1&action=$2',
+	'/^topic[\/_-]?([0-9]+).*(new|last)[\/_-]?(posts?)(\.html?|\/)?$/i'														=>	'viewtopic.php?id=$1&action=$2',
 	'/^post[\/_-]?([0-9]+)(\.html?|\/)?$/i'																					=>	'viewtopic.php?pid=$1',
 	'/^(forum|topic)[\/_-]?([0-9]+).*[\/_-]p(age)?[\/_-]?([0-9]+)(\.html?|\/)?$/i'											=>	'view$1.php?id=$2&p=$4',
-	'/^feed[\/_-]?(rss|atom)[\/_-]?(f|t)(orum|opic)[\/_-]?([0-9]+)[\/_-]?(\.xml?|\/)?$/i'											=>	'extern.php?action=feed&$2id=$4&type=$1',
+	'/^feed[\/_-]?(rss|atom)[\/_-]?(f|t)(orum|opic)[\/_-]?([0-9]+)[\/_-]?(\.xml?|\/)?$/i'									=>	'extern.php?action=feed&$2id=$4&type=$1',
 	'/^(forum|topic)[\/_-]?([0-9]+).*(\.html?|\/)?$/i'																		=>	'view$1.php?id=$2',
 	'/^new[\/_-]?reply[\/_-]?([0-9]+)(\.html?|\/)?$/i'																		=>	'post.php?tid=$1',
 	'/^new[\/_-]?reply[\/_-]?([0-9]+)[\/_-]?quote[\/_-]?([0-9]+)(\.html?|\/)?$/i'											=>	'post.php?tid=$1&qid=$2',
@@ -44,7 +44,7 @@
 	'/^search-k(.*)-(message|subject|all)-a(.*)-([0-9]+)-(ASC|DESC)-([0-9-]+)-(posts|topics)-p([0-9]+).html?$/i'			=>	'search.php?action=search&keywords=$1&author=$3&forum=$6&search_in=$2&sort_by=$4&sort_dir=$5&show_as=$7&p=$8',
 	'/^users(\.html?|\/)?$/i'																								=>	'userlist.php',
 	'/^users\/(.*)\/([0-9-]+)\/?([a-z_]+)[\/_-]([a-zA-Z]+)[\/_-]p(age)?[\/_-]?([0-9]+)(\.html?|\/)?$/i'						=>	'userlist.php?username=$1&show_group=$2&sort_by=$3&sort_dir=$4&p=$6',
-	'/^users\/(.*)\/([0-9-]+)\/?([a-z_]+)[\/_-]([a-zA-Z]+)(\.html?|\/)?$/i'											=>	'userlist.php?username=$1&show_group=$2&sort_by=$3&sort_dir=$4',
+	'/^users\/(.*)\/([0-9-]+)\/?([a-z_]+)[\/_-]([a-zA-Z]+)(\.html?|\/)?$/i'													=>	'userlist.php?username=$1&show_group=$2&sort_by=$3&sort_dir=$4',
 	'/^(email|report|subscribe|unsubscribe)[\/_-]?([0-9]+)[\/_-]?([a-z0-9]+)?(\.html?|\/)?$/i'								=>	'misc.php?$1=$2&csrf_token=$3',
 	'/^(mark|rules)[\/_-]?(read)?[\/_-]?([a-z0-9]+)?(\.html?|\/)?$/i'														=>	'misc.php?action=$1$2&csrf_token=$3',
 	'/^mark[\/_-](forum)[\/_-]?([0-9]+)[\/_-](read)[\/_-]([a-z0-9]+)(\.html?|\/)?$/i'										=>	'misc.php?action=markforumread&fid=$2&csrf_token=$4',
diff -urN punbb-1.3.2/include/url/File_based/forum_urls.php punbb-1.3.3/include/url/File_based/forum_urls.php
--- punbb-1.3.2/include/url/File_based/forum_urls.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.3/include/url/File_based/forum_urls.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * SEF URLs that use a file-like layout.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3.2/include/url/File_based/reserved_strings.php punbb-1.3.3/include/url/File_based/reserved_strings.php
--- punbb-1.3.2/include/url/File_based/reserved_strings.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.3/include/url/File_based/reserved_strings.php	2009-04-17 12:51:23.000000000 +0000
@@ -3,22 +3,22 @@
  * Loads the reserved strings used to transform problematic strings in URLs.
  * These are matched against the whole string after all other transformations.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
 
 
 $forum_reserved_strings = array(
-	''		=>	'view',
+	''				=>	'view',
 
-	'newpost'	=>	'view',
-	'newposts'	=>	'view',
-	'new-post'	=>	'view',
-	'new-posts'	=>	'view',
+	'newpost'		=>	'view',
+	'newposts'		=>	'view',
+	'new-post'		=>	'view',
+	'new-posts'		=>	'view',
 
-	'lastpost'	=>	'view',
-	'lastposts'	=>	'view',
-	'last-post'	=>	'view',
+	'lastpost'		=>	'view',
+	'lastposts'		=>	'view',
+	'last-post'		=>	'view',
 	'last-posts'	=>	'view',
 );
diff -urN punbb-1.3.2/include/url/File_based/rewrite_rules.php punbb-1.3.3/include/url/File_based/rewrite_rules.php
--- punbb-1.3.2/include/url/File_based/rewrite_rules.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.3/include/url/File_based/rewrite_rules.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,17 +2,17 @@
 /**
  * Loads the regular expressions used to match SEF URL requests to their proper URLs.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
 
 
 $forum_rewrite_rules = array(
-	'/^topic[\/_-]?([0-9]+).*(new|last)[\/_-]?(posts?)(\.html?|\/)?$/i'													=>	'viewtopic.php?id=$1&action=$2',
+	'/^topic[\/_-]?([0-9]+).*(new|last)[\/_-]?(posts?)(\.html?|\/)?$/i'														=>	'viewtopic.php?id=$1&action=$2',
 	'/^post[\/_-]?([0-9]+)(\.html?|\/)?$/i'																					=>	'viewtopic.php?pid=$1',
 	'/^(forum|topic)[\/_-]?([0-9]+).*[\/_-]p(age)?[\/_-]?([0-9]+)(\.html?|\/)?$/i'											=>	'view$1.php?id=$2&p=$4',
-	'/^feed[\/_-]?(rss|atom)[\/_-]?(f|t)(orum|opic)[\/_-]?([0-9]+)[\/_-]?(\.xml?|\/)?$/i'											=>	'extern.php?action=feed&$2id=$4&type=$1',
+	'/^feed[\/_-]?(rss|atom)[\/_-]?(f|t)(orum|opic)[\/_-]?([0-9]+)[\/_-]?(\.xml?|\/)?$/i'									=>	'extern.php?action=feed&$2id=$4&type=$1',
 	'/^(forum|topic)[\/_-]?([0-9]+).*(\.html?|\/)?$/i'																		=>	'view$1.php?id=$2',
 	'/^new[\/_-]?reply[\/_-]?([0-9]+)(\.html?|\/)?$/i'																		=>	'post.php?tid=$1',
 	'/^new[\/_-]?reply[\/_-]?([0-9]+)[\/_-]?quote[\/_-]?([0-9]+)(\.html?|\/)?$/i'											=>	'post.php?tid=$1&qid=$2',
@@ -44,7 +44,7 @@
 	'/^search-k(.*)-(message|subject|all)-a(.*)-([0-9]+)-(ASC|DESC)-([0-9-]+)-(posts|topics)-p([0-9]+).html?$/i'			=>	'search.php?action=search&keywords=$1&author=$3&forum=$6&search_in=$2&sort_by=$4&sort_dir=$5&show_as=$7&p=$8',
 	'/^users(\.html?|\/)?$/i'																								=>	'userlist.php',
 	'/^users\/(.*)\/([0-9-]+)\/?([a-z_]+)[\/_-]([a-zA-Z]+)[\/_-]p(age)?[\/_-]?([0-9]+)(\.html?|\/)?$/i'						=>	'userlist.php?username=$1&show_group=$2&sort_by=$3&sort_dir=$4&p=$6',
-	'/^users\/(.*)\/([0-9-]+)\/?([a-z_]+)[\/_-]([a-zA-Z]+)(\.html?|\/)?$/i'											=>	'userlist.php?username=$1&show_group=$2&sort_by=$3&sort_dir=$4',
+	'/^users\/(.*)\/([0-9-]+)\/?([a-z_]+)[\/_-]([a-zA-Z]+)(\.html?|\/)?$/i'													=>	'userlist.php?username=$1&show_group=$2&sort_by=$3&sort_dir=$4',
 	'/^(email|report|subscribe|unsubscribe)[\/_-]?([0-9]+)[\/_-]?([a-z0-9]+)?(\.html?|\/)?$/i'								=>	'misc.php?$1=$2&csrf_token=$3',
 	'/^(mark|rules)[\/_-]?(read)?[\/_-]?([a-z0-9]+)?(\.html?|\/)?$/i'														=>	'misc.php?action=$1$2&csrf_token=$3',
 	'/^mark[\/_-](forum)[\/_-]?([0-9]+)[\/_-](read)[\/_-]([a-z0-9]+)(\.html?|\/)?$/i'										=>	'misc.php?action=markforumread&fid=$2&csrf_token=$4',
diff -urN punbb-1.3.2/include/url/File_based_(fancy)/forum_urls.php punbb-1.3.3/include/url/File_based_(fancy)/forum_urls.php
--- punbb-1.3.2/include/url/File_based_(fancy)/forum_urls.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.3/include/url/File_based_(fancy)/forum_urls.php	2009-04-17 12:51:23.000000000 +0000
@@ -3,7 +3,7 @@
  * SEF URLs that use a file-like layout and include topic name and forum name
  * where applicable.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3.2/include/url/File_based_(fancy)/reserved_strings.php punbb-1.3.3/include/url/File_based_(fancy)/reserved_strings.php
--- punbb-1.3.2/include/url/File_based_(fancy)/reserved_strings.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.3/include/url/File_based_(fancy)/reserved_strings.php	2009-04-17 12:51:23.000000000 +0000
@@ -3,22 +3,22 @@
  * Loads the reserved strings used to transform problematic strings in URLs.
  * These are matched against the whole string after all other transformations.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
 
 
 $forum_reserved_strings = array(
-	''		=>	'view',
+	''				=>	'view',
 
-	'newpost'	=>	'view',
-	'newposts'	=>	'view',
-	'new-post'	=>	'view',
-	'new-posts'	=>	'view',
+	'newpost'		=>	'view',
+	'newposts'		=>	'view',
+	'new-post'		=>	'view',
+	'new-posts'		=>	'view',
 
-	'lastpost'	=>	'view',
-	'lastposts'	=>	'view',
-	'last-post'	=>	'view',
+	'lastpost'		=>	'view',
+	'lastposts'		=>	'view',
+	'last-post'		=>	'view',
 	'last-posts'	=>	'view',
 );
diff -urN punbb-1.3.2/include/url/File_based_(fancy)/rewrite_rules.php punbb-1.3.3/include/url/File_based_(fancy)/rewrite_rules.php
--- punbb-1.3.2/include/url/File_based_(fancy)/rewrite_rules.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.3/include/url/File_based_(fancy)/rewrite_rules.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,17 +2,17 @@
 /**
  * Loads the regular expressions used to match SEF URL requests to their proper URLs.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
 
 
 $forum_rewrite_rules = array(
-	'/^topic[\/_-]?([0-9]+).*(new|last)[\/_-]?(posts?)(\.html?|\/)?$/i'													=>	'viewtopic.php?id=$1&action=$2',
+	'/^topic[\/_-]?([0-9]+).*(new|last)[\/_-]?(posts?)(\.html?|\/)?$/i'														=>	'viewtopic.php?id=$1&action=$2',
 	'/^post[\/_-]?([0-9]+)(\.html?|\/)?$/i'																					=>	'viewtopic.php?pid=$1',
 	'/^(forum|topic)[\/_-]?([0-9]+).*[\/_-]p(age)?[\/_-]?([0-9]+)(\.html?|\/)?$/i'											=>	'view$1.php?id=$2&p=$4',
-	'/^feed[\/_-]?(rss|atom)[\/_-]?(f|t)(orum|opic)[\/_-]?([0-9]+)[\/_-]?(\.xml?|\/)?$/i'											=>	'extern.php?action=feed&$2id=$4&type=$1',
+	'/^feed[\/_-]?(rss|atom)[\/_-]?(f|t)(orum|opic)[\/_-]?([0-9]+)[\/_-]?(\.xml?|\/)?$/i'									=>	'extern.php?action=feed&$2id=$4&type=$1',
 	'/^(forum|topic)[\/_-]?([0-9]+).*(\.html?|\/)?$/i'																		=>	'view$1.php?id=$2',
 	'/^new[\/_-]?reply[\/_-]?([0-9]+)(\.html?|\/)?$/i'																		=>	'post.php?tid=$1',
 	'/^new[\/_-]?reply[\/_-]?([0-9]+)[\/_-]?quote[\/_-]?([0-9]+)(\.html?|\/)?$/i'											=>	'post.php?tid=$1&qid=$2',
@@ -44,7 +44,7 @@
 	'/^search-k(.*)-(message|subject|all)-a(.*)-([0-9]+)-(ASC|DESC)-([0-9-]+)-(posts|topics)-p([0-9]+).html?$/i'			=>	'search.php?action=search&keywords=$1&author=$3&forum=$6&search_in=$2&sort_by=$4&sort_dir=$5&show_as=$7&p=$8',
 	'/^users(\.html?|\/)?$/i'																								=>	'userlist.php',
 	'/^users\/(.*)\/([0-9-]+)\/?([a-z_]+)[\/_-]([a-zA-Z]+)[\/_-]p(age)?[\/_-]?([0-9]+)(\.html?|\/)?$/i'						=>	'userlist.php?username=$1&show_group=$2&sort_by=$3&sort_dir=$4&p=$6',
-	'/^users\/(.*)\/([0-9-]+)\/?([a-z_]+)[\/_-]([a-zA-Z]+)(\.html?|\/)?$/i'											=>	'userlist.php?username=$1&show_group=$2&sort_by=$3&sort_dir=$4',
+	'/^users\/(.*)\/([0-9-]+)\/?([a-z_]+)[\/_-]([a-zA-Z]+)(\.html?|\/)?$/i'													=>	'userlist.php?username=$1&show_group=$2&sort_by=$3&sort_dir=$4',
 	'/^(email|report|subscribe|unsubscribe)[\/_-]?([0-9]+)[\/_-]?([a-z0-9]+)?(\.html?|\/)?$/i'								=>	'misc.php?$1=$2&csrf_token=$3',
 	'/^(mark|rules)[\/_-]?(read)?[\/_-]?([a-z0-9]+)?(\.html?|\/)?$/i'														=>	'misc.php?action=$1$2&csrf_token=$3',
 	'/^mark[\/_-](forum)[\/_-]?([0-9]+)[\/_-](read)[\/_-]([a-z0-9]+)(\.html?|\/)?$/i'										=>	'misc.php?action=markforumread&fid=$2&csrf_token=$4',
diff -urN punbb-1.3.2/include/url/Folder_based/forum_urls.php punbb-1.3.3/include/url/Folder_based/forum_urls.php
--- punbb-1.3.2/include/url/Folder_based/forum_urls.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.3/include/url/Folder_based/forum_urls.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * SEF URLs that use a folder-like layout.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3.2/include/url/Folder_based/reserved_strings.php punbb-1.3.3/include/url/Folder_based/reserved_strings.php
--- punbb-1.3.2/include/url/Folder_based/reserved_strings.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.3/include/url/Folder_based/reserved_strings.php	2009-04-17 12:51:23.000000000 +0000
@@ -3,22 +3,22 @@
  * Loads the reserved strings used to transform problematic strings in URLs.
  * These are matched against the whole string after all other transformations.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
 
 
 $forum_reserved_strings = array(
-	''		=>	'view',
+	''				=>	'view',
 
-	'newpost'	=>	'view',
-	'newposts'	=>	'view',
-	'new-post'	=>	'view',
-	'new-posts'	=>	'view',
+	'newpost'		=>	'view',
+	'newposts'		=>	'view',
+	'new-post'		=>	'view',
+	'new-posts'		=>	'view',
 
-	'lastpost'	=>	'view',
-	'lastposts'	=>	'view',
-	'last-post'	=>	'view',
+	'lastpost'		=>	'view',
+	'lastposts'		=>	'view',
+	'last-post'		=>	'view',
 	'last-posts'	=>	'view',
 );
diff -urN punbb-1.3.2/include/url/Folder_based/rewrite_rules.php punbb-1.3.3/include/url/Folder_based/rewrite_rules.php
--- punbb-1.3.2/include/url/Folder_based/rewrite_rules.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.3/include/url/Folder_based/rewrite_rules.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,17 +2,17 @@
 /**
  * Loads the regular expressions used to match SEF URL requests to their proper URLs.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
 
 
 $forum_rewrite_rules = array(
-	'/^topic[\/_-]?([0-9]+).*(new|last)[\/_-]?(posts?)(\.html?|\/)?$/i'													=>	'viewtopic.php?id=$1&action=$2',
+	'/^topic[\/_-]?([0-9]+).*(new|last)[\/_-]?(posts?)(\.html?|\/)?$/i'														=>	'viewtopic.php?id=$1&action=$2',
 	'/^post[\/_-]?([0-9]+)(\.html?|\/)?$/i'																					=>	'viewtopic.php?pid=$1',
 	'/^(forum|topic)[\/_-]?([0-9]+).*[\/_-]p(age)?[\/_-]?([0-9]+)(\.html?|\/)?$/i'											=>	'view$1.php?id=$2&p=$4',
-	'/^feed[\/_-]?(rss|atom)[\/_-]?(f|t)(orum|opic)[\/_-]?([0-9]+)[\/_-]?(\.xml?|\/)?$/i'											=>	'extern.php?action=feed&$2id=$4&type=$1',
+	'/^feed[\/_-]?(rss|atom)[\/_-]?(f|t)(orum|opic)[\/_-]?([0-9]+)[\/_-]?(\.xml?|\/)?$/i'									=>	'extern.php?action=feed&$2id=$4&type=$1',
 	'/^(forum|topic)[\/_-]?([0-9]+).*(\.html?|\/)?$/i'																		=>	'view$1.php?id=$2',
 	'/^new[\/_-]?reply[\/_-]?([0-9]+)(\.html?|\/)?$/i'																		=>	'post.php?tid=$1',
 	'/^new[\/_-]?reply[\/_-]?([0-9]+)[\/_-]?quote[\/_-]?([0-9]+)(\.html?|\/)?$/i'											=>	'post.php?tid=$1&qid=$2',
@@ -44,7 +44,7 @@
 	'/^search-k(.*)-(message|subject|all)-a(.*)-([0-9]+)-(ASC|DESC)-([0-9-]+)-(posts|topics)-p([0-9]+).html?$/i'			=>	'search.php?action=search&keywords=$1&author=$3&forum=$6&search_in=$2&sort_by=$4&sort_dir=$5&show_as=$7&p=$8',
 	'/^users(\.html?|\/)?$/i'																								=>	'userlist.php',
 	'/^users\/(.*)\/([0-9-]+)\/?([a-z_]+)[\/_-]([a-zA-Z]+)[\/_-]p(age)?[\/_-]?([0-9]+)(\.html?|\/)?$/i'						=>	'userlist.php?username=$1&show_group=$2&sort_by=$3&sort_dir=$4&p=$6',
-	'/^users\/(.*)\/([0-9-]+)\/?([a-z_]+)[\/_-]([a-zA-Z]+)(\.html?|\/)?$/i'											=>	'userlist.php?username=$1&show_group=$2&sort_by=$3&sort_dir=$4',
+	'/^users\/(.*)\/([0-9-]+)\/?([a-z_]+)[\/_-]([a-zA-Z]+)(\.html?|\/)?$/i'													=>	'userlist.php?username=$1&show_group=$2&sort_by=$3&sort_dir=$4',
 	'/^(email|report|subscribe|unsubscribe)[\/_-]?([0-9]+)[\/_-]?([a-z0-9]+)?(\.html?|\/)?$/i'								=>	'misc.php?$1=$2&csrf_token=$3',
 	'/^(mark|rules)[\/_-]?(read)?[\/_-]?([a-z0-9]+)?(\.html?|\/)?$/i'														=>	'misc.php?action=$1$2&csrf_token=$3',
 	'/^mark[\/_-](forum)[\/_-]?([0-9]+)[\/_-](read)[\/_-]([a-z0-9]+)(\.html?|\/)?$/i'										=>	'misc.php?action=markforumread&fid=$2&csrf_token=$4',
diff -urN punbb-1.3.2/include/url/Folder_based_(fancy)/forum_urls.php punbb-1.3.3/include/url/Folder_based_(fancy)/forum_urls.php
--- punbb-1.3.2/include/url/Folder_based_(fancy)/forum_urls.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.3/include/url/Folder_based_(fancy)/forum_urls.php	2009-04-17 12:51:23.000000000 +0000
@@ -3,7 +3,7 @@
  * SEF URLs that use a folder-like layout and include topic name and forum name
  * where applicable.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3.2/include/url/Folder_based_(fancy)/reserved_strings.php punbb-1.3.3/include/url/Folder_based_(fancy)/reserved_strings.php
--- punbb-1.3.2/include/url/Folder_based_(fancy)/reserved_strings.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.3/include/url/Folder_based_(fancy)/reserved_strings.php	2009-04-17 12:51:23.000000000 +0000
@@ -3,22 +3,22 @@
  * Loads the reserved strings used to transform problematic strings in URLs.
  * These are matched against the whole string after all other transformations.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
 
 
 $forum_reserved_strings = array(
-	''		=>	'view',
+	''				=>	'view',
 
-	'newpost'	=>	'view',
-	'newposts'	=>	'view',
-	'new-post'	=>	'view',
-	'new-posts'	=>	'view',
+	'newpost'		=>	'view',
+	'newposts'		=>	'view',
+	'new-post'		=>	'view',
+	'new-posts'		=>	'view',
 
-	'lastpost'	=>	'view',
-	'lastposts'	=>	'view',
-	'last-post'	=>	'view',
+	'lastpost'		=>	'view',
+	'lastposts'		=>	'view',
+	'last-post'		=>	'view',
 	'last-posts'	=>	'view',
 );
diff -urN punbb-1.3.2/include/url/Folder_based_(fancy)/rewrite_rules.php punbb-1.3.3/include/url/Folder_based_(fancy)/rewrite_rules.php
--- punbb-1.3.2/include/url/Folder_based_(fancy)/rewrite_rules.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.3/include/url/Folder_based_(fancy)/rewrite_rules.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,17 +2,17 @@
 /**
  * Loads the regular expressions used to match SEF URL requests to their proper URLs.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
 
 
 $forum_rewrite_rules = array(
-	'/^topic[\/_-]?([0-9]+).*(new|last)[\/_-]?(posts?)(\.html?|\/)?$/i'													=>	'viewtopic.php?id=$1&action=$2',
+	'/^topic[\/_-]?([0-9]+).*(new|last)[\/_-]?(posts?)(\.html?|\/)?$/i'														=>	'viewtopic.php?id=$1&action=$2',
 	'/^post[\/_-]?([0-9]+)(\.html?|\/)?$/i'																					=>	'viewtopic.php?pid=$1',
 	'/^(forum|topic)[\/_-]?([0-9]+).*[\/_-]p(age)?[\/_-]?([0-9]+)(\.html?|\/)?$/i'											=>	'view$1.php?id=$2&p=$4',
-	'/^feed[\/_-]?(rss|atom)[\/_-]?(f|t)(orum|opic)[\/_-]?([0-9]+)[\/_-]?(\.xml?|\/)?$/i'											=>	'extern.php?action=feed&$2id=$4&&type=$1',
+	'/^feed[\/_-]?(rss|atom)[\/_-]?(f|t)(orum|opic)[\/_-]?([0-9]+)[\/_-]?(\.xml?|\/)?$/i'									=>	'extern.php?action=feed&$2id=$4&&type=$1',
 	'/^(forum|topic)[\/_-]?([0-9]+).*(\.html?|\/)?$/i'																		=>	'view$1.php?id=$2',
 	'/^new[\/_-]?reply[\/_-]?([0-9]+)(\.html?|\/)?$/i'																		=>	'post.php?tid=$1',
 	'/^new[\/_-]?reply[\/_-]?([0-9]+)[\/_-]?quote[\/_-]?([0-9]+)(\.html?|\/)?$/i'											=>	'post.php?tid=$1&qid=$2',
@@ -44,7 +44,7 @@
 	'/^search-k(.*)-(message|subject|all)-a(.*)-([0-9]+)-(ASC|DESC)-([0-9-]+)-(posts|topics)-p([0-9]+).html?$/i'			=>	'search.php?action=search&keywords=$1&author=$3&forum=$6&search_in=$2&sort_by=$4&sort_dir=$5&show_as=$7&p=$8',
 	'/^users(\.html?|\/)?$/i'																								=>	'userlist.php',
 	'/^users\/(.*)\/([0-9-]+)\/?([a-z_]+)[\/_-]([a-zA-Z]+)[\/_-]p(age)?[\/_-]?([0-9]+)(\.html?|\/)?$/i'						=>	'userlist.php?username=$1&show_group=$2&sort_by=$3&sort_dir=$4&p=$6',
-	'/^users\/(.*)\/([0-9-]+)\/?([a-z_]+)[\/_-]([a-zA-Z]+)(\.html?|\/)?$/i'											=>	'userlist.php?username=$1&show_group=$2&sort_by=$3&sort_dir=$4',
+	'/^users\/(.*)\/([0-9-]+)\/?([a-z_]+)[\/_-]([a-zA-Z]+)(\.html?|\/)?$/i'													=>	'userlist.php?username=$1&show_group=$2&sort_by=$3&sort_dir=$4',
 	'/^(email|report|subscribe|unsubscribe)[\/_-]?([0-9]+)[\/_-]?([a-z0-9]+)?(\.html?|\/)?$/i'								=>	'misc.php?$1=$2&csrf_token=$3',
 	'/^(mark|rules)[\/_-]?(read)?[\/_-]?([a-z0-9]+)?(\.html?|\/)?$/i'														=>	'misc.php?action=$1$2&csrf_token=$3',
 	'/^mark[\/_-](forum)[\/_-]?([0-9]+)[\/_-](read)[\/_-]([a-z0-9]+)(\.html?|\/)?$/i'										=>	'misc.php?action=markforumread&fid=$2&csrf_token=$4',
diff -urN punbb-1.3.2/include/xml.php punbb-1.3.3/include/xml.php
--- punbb-1.3.2/include/xml.php	2008-10-26 12:40:37.000000000 +0000
+++ punbb-1.3.3/include/xml.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * Loads various functions used in parsing XML (mostly for extensions).
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
diff -urN punbb-1.3.2/index.php punbb-1.3.3/index.php
--- punbb-1.3.2/index.php	2008-11-08 10:30:00.000000000 +0000
+++ punbb-1.3.3/index.php	2009-04-17 12:51:23.000000000 +0000
@@ -2,7 +2,7 @@
 /**
  * Displays a list of the categories/forums that the current user can see, along with some statistics.
  *
- * @copyright Copyright (C) 2008 PunBB, partially based on code copyright (C) 2008 FluxBB.org
+ * @copyright (C) 2008-2009 PunBB, partially based on code (C) 2008-2009 FluxBB.org
  * @license http://www.gnu.org/licenses/gpl.html GPL version 2 or higher
  * @package PunBB
  */
@@ -91,7 +91,6 @@
 {
 	($hook = get_hook('in_forum_loop_start')) ? eval($hook) : null;
 
-	$forum_page['item_mods'] = '';
 	++$forum_page['item_count'];
 
 	if ($cur_forum['cid'] != $forum_page['cur_category'])	// A new category since last iteration?
@@ -125,7 +124,6 @@
 
 	// Reset arrays and globals for each forum
 	$forum_page['item_status'] = $forum_page['item_subject'] = $forum_page['item_body'] = $forum_page['item_title'] = array();
-	$forum_page['item_indicator'] = '';
 
 	// Is this a redirect forum?
 	if ($cur_forum['redirect_url'] != '')
diff -urN punbb-1.3.2/lang/English/admin_forums.php punbb-1.3.3/lang/English/admin_forums.php
--- punbb-1.3.2/lang/English/admin_forums.php	2008-11-09 17:45:53.000000000 +0000
+++ punbb-1.3.3/lang/English/admin_forums.php	2008-12-15 13:12:08.000000000 +0000
@@ -34,6 +34,7 @@
 'User groups'					=>	'User groups',
 'Confirm delete forum'			=>	'You are deleting the forum "%s"',
 'Forum perms read info'			=>	'The "Read forum" permission checkbox will be disabled if the group in question lacks the "Read board" permission.',
+'Forum perms redirect info'		=>	'This is a redirect forum. Only the "Read forum" permission is editable.',
 'Forum perms restore info'		=>	'Permissions can be restored to default settings using the "Default permissions" button below.',
 'Forum perms groups info'		=>	'Permissions are the defaults as set in %s unless suffixed "(S)"',
 'Forum perms admins info'		=>	'Forum Administrators always have full permissions which cannot be restricted.',
